Skip to main content
`Ctrl`+`K`

# TSAppendOptionsPrefix

Appends to the prefix used for searching for all TS options in the database.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAppendOptionsPrefix(TS ts, const char prefix[])

Logically Collective

## Input Parameters

- ts - The `TS` context

- prefix - The prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetOptionsPrefix()`, `TSSetOptionsPrefix()`, `TSSetFromOptions()`

## Level

advanced

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages